#ifndef STUDENT_H
#define STUDENT_H
using namespace std;

class Student
{
private:
	string name;
	string *courseList;
	int courseListCapacity;
	int numCourses;

	void resizeList();

public:
	Student(); //default constructor
	Student(string); //constructor with student name
	Student(const Student& obj); //constructor with student object.

	virtual ~Student(); //destructor

	string toString();

	friend ostream& operator<< (ostream &output, Student &student); //overloaded << operator
	Student& operator= (const Student& right);

	void addCourse(string);
	string getName() const;
	void setName(string);
	int getCapacity() const;
	string listCourses();
	int getNumCourses() const;
	void resetCourses();
};

#endif